Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class DB

    java.lang.Object
      com.hp.hpl.jena.vocabulary.DB

    public class DB

extends java.lang.Object

Vocabulary for Database properties.

Version:
  $Revision: 1.15 $
Author:
  csayers

Field Summary
`static Property` | `compressURILength`
`static Property` | `doCompressURI`
`static Property` | `driverVersion`
`static Property` | `engineType`
`static Property` | `formatDate`
`static Property` | `graph`
`static Property` | `graphDBSchema`
`static Property` | `graphId`
`static Property` | `graphLSet`
`static Property` | `graphName`
`static Property` | `graphPrefix`
`static Property` | `graphType`
`static Property` | `indexKeyLength`
`static Property` | `isTransactionDb`
`static Resource` | `layoutVersion`
`static Property` | `longObjectLength`
`static Property` | `lSetName`
`static Property` | `lSetPSet`
`static Property` | `lSetType`
`static Property` | `prefixURI`
`static Property` | `prefixValue`
`static Property` | `pSetName`
`static Property` | `pSetTable`
`static Property` | `pSetType`
`static Property` | `reifTable`
`static Property` | `stmtTable`
`static Resource` | `systemGraphName`
`static Property` | `tableNamePrefix`
`static Resource` | `undefined`
`static java.lang.String` | `uri`

Constructor Summary
`DB()`

Method Summary
`static java.lang.String` | `getURI()` returns the URI for this schema

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uri

    public static final java.lang.String uri

See Also:
  Constant Field Values

### systemGraphName

    public static final Resource systemGraphName

### layoutVersion

    public static final Resource layoutVersion

### engineType

    public static final Property engineType

### driverVersion

    public static final Property driverVersion

### formatDate

    public static final Property formatDate

### graph

    public static final Property graph

### longObjectLength

    public static final Property longObjectLength

### indexKeyLength

    public static final Property indexKeyLength

### isTransactionDb

    public static final Property isTransactionDb

### doCompressURI

    public static final Property doCompressURI

### compressURILength

    public static final Property compressURILength

### tableNamePrefix

    public static final Property tableNamePrefix

### graphName

    public static final Property graphName

### graphType

    public static final Property graphType

### graphLSet

    public static final Property graphLSet

### graphPrefix

    public static final Property graphPrefix

### graphId

    public static final Property graphId

### graphDBSchema

    public static final Property graphDBSchema

### stmtTable

    public static final Property stmtTable

### reifTable

    public static final Property reifTable

### prefixValue

    public static final Property prefixValue

### prefixURI

    public static final Property prefixURI

### lSetName

    public static final Property lSetName

### lSetType

    public static final Property lSetType

### lSetPSet

    public static final Property lSetPSet

### pSetName

    public static final Property pSetName

### pSetType

    public static final Property pSetType

### pSetTable

    public static final Property pSetTable

### undefined

    public static final Resource undefined

Constructor Detail

### DB

    public DB()

Method Detail

### getURI

    public static java.lang.String getURI()

  returns the URI for this schema

  Returns:
    the URI for this schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP